Loading...
Searching...
No Matches
InternalNode< ChildT >::DenseIterator Class Reference

Visits all tile values and child nodes of this node. More...

`#include <nanovdb/util/GridBuilder.h>`

Inheritance diagram for InternalNode< ChildT >::DenseIterator:

## Public Member Functions

| DenseIterator ()
| DenseIterator (const InternalNode *parent)
DenseIterator & | operator= (const DenseIterator &)=default
ChildT * | probeChild (ValueType &value) const
Coord | getCoord () const
uint32_t | operator* () const
uint32_t | pos () const
| operator bool () const
DenseIterator & | operator++ ()
DenseIterator | operator++ (int)

## Detailed Description

template<typename ChildT>
class nanovdb::build::InternalNode< ChildT >::DenseIterator

Visits all tile values and child nodes of this node.

## Constructor & Destructor Documentation

## DenseIterator() [1/2]

template<typename ChildT>

DenseIterator | ( |  | ) |

inline

## DenseIterator() [2/2]

template<typename ChildT>

DenseIterator | ( | const InternalNode * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename ChildT>

Coord getCoord | ( |  | ) | const

inline

## operator bool()

template<uint32_t LOG2DIM>

operator bool | ( |  | ) | const

inline inherited

## operator*()

template<uint32_t LOG2DIM>

uint32_t operator* | ( |  | ) | const

inline inherited

## operator++() [1/2]

template<uint32_t LOG2DIM>

DenseIterator & operator++ | ( |  | ) |

inline inherited

## operator++() [2/2]

template<uint32_t LOG2DIM>

DenseIterator operator++ | ( | int |  | ) |

inline inherited

## operator=()

template<typename ChildT>

DenseIterator & operator= | ( | const DenseIterator & |  | ) |

default

## pos()

template<uint32_t LOG2DIM>

uint32_t pos | ( |  | ) | const

inline inherited

## probeChild()

template<typename ChildT>

ChildT * probeChild | ( | ValueType & | value | ) | const

inline